/*
 * @(#)CSV.java
 *
 * Summary: Dummy file to represent the CSV library CSVReader CSVWriter CSVPack and CSVAlign to process comma-separated value files.
 *
 * Copyright: (c) 1998-2010 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.5+
 *
 * Created with: IntelliJ IDEA IDE.
 *
 * Version History:
 *  1.0 2002-03-27 - initial release
 *  1.1 2002-03-28 - close
 *                   configurable separator char
 *                   no longer sensitive to line-ending convention.
 *                   uses a categorise routine to message categories for use in case clauses.
 *                   faster skipToNextLine
 *  1.2 2002-04-17 - put in to separate package
 *  1.3 2002-04-17
 *  1.4 2002-04-19 - fix bug if last field on line is empty, was not counting as a field.
 *  1.5 2002-04-19
 *  1.6 2002-05-25 - allow choice of " or ' quote char.
 *  1.7 2002-08-29 - getAllFieldsInLine
 *  1.8 2002-11-12 - allow Microsoft Excel format fields that can span several lines. sponsored by Steve Hunter of agilense.com
 *  1.9 2002-11-14 - trim parameter to control whether fields are trimmed of lead/trail whitespace (blanks, Cr, Lf, Tab etc.)
 *  2.0 2003-08-10 - getInt, getLong, getFloat, getDouble
 *  2.1 2005-07-16 - reorganisation, new bat files.
 *  2.2 2005-08-28 - add CSVAlign and CSVPack to the suite.
 *  2.3 2005-08-28 - add CSVAlign and CSVPack to the suite.
 *                   Use java com.mindprod.CSVAlign somefile.csv
 *  2.4 2007-05-20 - add icon and PAD
 *  2.5 2007-11-27 - tidy comments
 *  2.6 2008-02-20 - IntelliJ inspector, spell corrections, tightening code.
 *  2.7 2008-05-28 - add CSVTab2Comma.
 *  2.8 2008-06-04 - add CSVWriter put for various primitives.
 *  2.9 2009-03-27 - refactor using enums, support comments.
 *                   major rewrite. Now supports #-style
 *                   comments. More efficient RAM use. You can configure the
 *                   separator character, quote character and comment character.
 *                   You can read seeing or hiding the comments. The API was
 *                   changed to support comments.
 *  3.0 2009-06-15 - lookup table to speed CSVReader
 *  3.1 2009-12-03 - add CSVSort
 *  3.2 2010-02-23 - add hex sort 9x+ option to CSVSort
 *  3.3 2010-11-14 - change default to no comments in input file for CSVTab2Comma.
 *  3.4 2010-12-03 - add CSV2SRS
 *  3.5 2010-12-11 - add CSVReshape
 *  3.6 2010-12-14 - add LinesToCSV
 *  3.7 2010-12-17 - add CSVDeDup
 */
package com.mindprod.csv;

/**
 * Dummy file to represent the CSV library CSVReader CSVWriter CSVPack and CSVAlign to process comma-separated value files.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 3.7 2010-12-17 - add CSVDeDup
 * @since 2002-03-27
 */
public final class CSV
    {
    // ------------------------------ CONSTANTS ------------------------------

    /**
     * undisplayed copyright notice
     */
    @SuppressWarnings( { "UnusedDeclaration" } )
    public static final String EMBEDDED_COPYRIGHT =
            "copyright (c) 2002-2010 Roedy Green, Canadian Mind Products, http://mindprod.com";

    @SuppressWarnings( { "UnusedDeclaration" } )
    private static final String RELEASE_DATE = "2010-12-17";

    /**
     * embedded version string.
     */
    @SuppressWarnings( { "UnusedDeclaration" } )
    public static final String VERSION_STRING = "3.7";

    // --------------------------- main() method ---------------------------

    /**
     * not used. Dummy
     *
     * @param args dummy.
     */
    public static void main( String[] args )
    {
    }
    }
